## org.apache.axis.handlers
Class EchoHandler

    java.lang.Object
      |
      +--org.apache.axis.handlers.BasicHandler
            |
            +--org.apache.axis.handlers.EchoHandler

All Implemented Interfaces:
  Handler, java.io.Serializable

public class EchoHandler
extends BasicHandler

Author:
  Doug Davis (dug@us.ibm.com)
See Also:
  Serialized Form

Field Summary
`protected static org.apache.commons.logging.Log` `log`
`java.lang.String` `wsdlStart`
`java.lang.String` `wsdlStart1`

Fields inherited from class org.apache.axis.handlers.BasicHandler
`makeLockable, name, options`

Constructor Summary
`EchoHandler()`

Method Summary
`void` `generateWSDL(MessageContext msgContext)` Obtain WSDL information.
`void` `invoke(MessageContext msgContext)` Must implement this in subclasses.

Methods inherited from class org.apache.axis.handlers.BasicHandler
`canHandleBlock, cleanup, getDeploymentData, getName, getOption, getOptions, getUnderstoodHeaders, init, initHashtable, onFault, setName, setOption, setOptionDefault, setOptions, setOptionsLockable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

### wsdlStart1

    public java.lang.String wsdlStart1

### wsdlStart

    public java.lang.String wsdlStart

Constructor Detail

### EchoHandler

    public EchoHandler()

Method Detail

### invoke

    public void invoke(MessageContext msgContext)
                throws AxisFault

  Description copied from class: `BasicHandler`
  Must implement this in subclasses.

  Specified by:
    `invoke` in interface `Handler`
  Specified by:
    `invoke` in class `BasicHandler`
    `AxisFault`

### generateWSDL

    public void generateWSDL(MessageContext msgContext)
                      throws AxisFault

  Description copied from interface: `Handler`
  Obtain WSDL information. Some Handlers will implement this by merely setting properties in the MessageContext, others (providers) will take responsibility for doing the "real work" of generating WSDL for a given service.

  Specified by:
    `generateWSDL` in interface `Handler`
  Overrides:
    `generateWSDL` in class `BasicHandler`
    `AxisFault`

Copyright © 2003 Apache Web Services Project. All Rights Reserved.